<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="treereRender">
        <rich:tree id="treesubid" value="#{absXDSI69Manager.treeNodeContent}"
                   selectedClass="selectedNodeStyle" var="node" rowKeyVar="treeRowKey" style="vertical-align:top"
                   render="metadata_id" nodeType="#{node.data.class.simpleName}" toggleType="client">

            <rich:treeNode type="RetrieveImagingDocumentSetRequestType" id="xdssubid" expanded="#{true}"
                           width="20" rowKeyVar="rowNumber" height="20">
                <a4j:commandLink actionListener="#{absXDSI69Manager.editRightPanel(node.data)}" execute="@form">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.RetrieveImagingDocumentSetRequest']} "/>
                </a4j:commandLink>

                <gdk:spacer width="5"/>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.AddNewStudyRequest']}"
                                 actionListener="#{absXDSI69Manager.addStudyRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-plus"/>
                </a4j:commandLink>
            </rich:treeNode>

            <rich:treeNode type="StudyRequestType" width="20" height="20" expanded="#{true}">
                <a4j:commandLink actionListener="#{absXDSI69Manager.editRightPanel(node.data)}" execute="@form">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.StudyRequest']}"/>
                </a4j:commandLink>
                <gdk:spacer width="5"/>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.AddNewSeriesRequest']}"
                                 actionListener="#{absXDSI69Manager.addSeriesRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-plus"/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.DeleteCurrentStudyRequest']}"
                                 actionListener="#{absXDSI69Manager.deleteStudyRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-trash-o"/>
                </a4j:commandLink>
            </rich:treeNode>

            <rich:treeNode type="SeriesRequestType" id="xdsdocid" width="20" expanded="#{true}"
                           height="20">
                <a4j:commandLink actionListener="#{absXDSI69Manager.editRightPanel(node.data)}" execute="@form">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.SeriesRequest']}"/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.AddNewDocumentRequest']}"
                                 actionListener="#{absXDSI69Manager.addDocumentRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-plus"/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.DeleteCurrentSeriesRequest']}"
                                 actionListener="#{absXDSI69Manager.deleteSeriesRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-trash-o"/>
                </a4j:commandLink>
            </rich:treeNode>

            <rich:treeNode type="DocumentRequestType" width="20" height="20" expanded="#{true}">
                <a4j:commandLink actionListener="#{absXDSI69Manager.editRightPanel(node.data)}" execute="@form">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DocumentRequest']}"/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.DeleteCurrentDocumentRequest']}"
                                 actionListener="#{absXDSI69Manager.deleteDocumentRequest(node.data)}"
                                 render="globalForm:mainPanel:messageConfigurationDiv">
                    <span class="gzl-icon-trash-o"/>
                </a4j:commandLink>
            </rich:treeNode>
        </rich:tree>
    </s:div>
</ui:composition>
